module ClassParametersHelper
  
  def store_class_parameters(resource, memberships, class_parameters_text)

    if !class_parameters_text.nil?
      class_parameters = JSON.parse(class_parameters_text)
    
      memberships.each do |membership|
        membership.parameters.clear()
      
        params = class_parameters[membership.node_class_id.to_s]
    
        if(params)
          params.each do |key, value|
          
            parameter = Parameter.new
            parameter.key = key
            parameter.value = value
            membership.parameters << parameter
          end
        end
      end
    
      resource.save
    end
  end 

  def get_class_parameters(memberships)
           
    class_parameters = {}

    memberships.each do |membership|
      this_class_parameters = {}
      membership.parameters.each do |param|
        this_class_parameters[param.key] = param.value
      end
      if this_class_parameters.size > 0
        class_parameters[membership.node_class_id] = this_class_parameters
      end
    end

    class_parameters
  end  
end