require 'rubygems'

# Puppet reports do not work with psych. Must set this prior to loading
# the Gemfile, otherwise delayed_job, etc. would use psych.
require 'yaml'
YAML::ENGINE.yamler = 'syck' if RUBY_VERSION >= '1.9'

# Set up gems listed in the Gemfile.
ENV['BUNDLE_GEMFILE'] ||= File.expand_path('../../Gemfile', __FILE__)

require 'bundler/setup' if File.exists?(ENV['BUNDLE_GEMFILE'])

require 'safe_yaml'
# Set default for YAML.load to unsafe so we don't affect performance
# unnecessarily -- we call it safely explicitly where needed
SafeYAML::OPTIONS[:default_mode] = :unsafe
# Whitelist Symbol objects
# NOTE that the tag is YAML implementation specific (this one is
# specific to 'syck') and thus it needs to be updated whenever
# the yaml implementation is changed
SafeYAML::OPTIONS[:whitelisted_tags] << 'tag:ruby.yaml.org,2002:sym'
